<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

	<xsl:template name="title">
		<xsl:choose>
			<xsl:when test="data/@action = 'Enaza' and data/@operation = 'confirmation'">Подтверждение платежа Enaza</xsl:when>
			<xsl:otherwise>Магазин Enaza</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="/data">
		<xsl:call-template name="error"/>
		<xsl:choose>
			<xsl:when test="@action = 'Enaza' and (@operation = 'execute' or /data/iframe/text()!='')">
				<xsl:value-of select="/data/iframe/text()" disable-output-escaping="yes" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@status = 'error'"/>
					<xsl:otherwise>
						<form method="POST" action="{$WEBEXECUTER}">
							<xsl:call-template name="action"/>
							<input type="hidden" name="operation" value="confirm"/>
							<input type="hidden" name="orderId">
								<xsl:attribute name="value"><xsl:value-of select="/data/orderId/text()"/></xsl:attribute>
							</input>
							<xsl:value-of select="/data/desc/text()"/><br/>
							<xsl:choose>                                                                                                   
									<xsl:when test="/data/lock/text()='lock'"/>                                                            
									<xsl:otherwise >                                                                                       
										<xsl:call-template name="submit">                                                              
											<xsl:with-param name="title">Подтверждаю!</xsl:with-param>                             
										</xsl:call-template>                                                                           
									</xsl:otherwise>                                                                                       
									</xsl:choose> 
						</form>
					</xsl:otherwise>
				</xsl:choose>
				<form method="POST" id="return_back" action="{$WEBEXECUTER}">
					<xsl:call-template name="action"/>
					<input type="hidden" name="operation" value="redirect"/>
					<input type="hidden" name="orderId">
						<xsl:attribute name="value"><xsl:value-of select="/data/orderId/text()"/></xsl:attribute>
					</input>
					<xsl:call-template name="submit">
						<xsl:with-param name="guid">return_back</xsl:with-param>
						<xsl:with-param name="title">Вернуться к заказу</xsl:with-param>
					</xsl:call-template>
				</form>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>